Skip to content

Perform various operations on wire U.S. Central (USC) records.

Operations

getWireUscAuditInfoSelectFields

POST

Retrieves wire USC audit information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireUscAuditInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/wire/getWireUscAuditInfoSelectFields
POST /nexum/627/persistent/wire/getWireUscAuditInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireUscAuditInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllWireUscAuditInfoFields": true,
    "WireUscAuditInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireUscAuditInfoPagedListSelectFields

POST

Retrieves a paged list of wire USC audit information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/getWireUscAuditInfoPagedListSelectFields
POST /nexum/627/persistent/wire/getWireUscAuditInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireUscAuditInfoFields": true,
    "WireUscAuditInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireUscAuditInfoPagedSelectFields

POST

Searches for wire USC audit information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireUscAuditInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireUscAuditInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireUscAuditInfoFields": true,
    "WireUscAuditInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireUscAuditInfoByID

POST

Updates USC audit information for a wire by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireUscAuditInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/wire/updateWireUscAuditInfoByID
POST /nexum/627/persistent/wire/updateWireUscAuditInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireUscAuditInfoLocator": 0,
  "WireUscAuditInfoFields": {
    "Locator": 0,
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}